ByCloud Docs
GuidesCLIAPISDK
get/v1/load-balancers/{load_balancer_id}/l7-policies/{l7_policy_id}/rules

List L7 rules

List all rules in an L7 policy

Path Parameters

load_balancer_id

string<uuid>required

path

Load Balancer ID

Example: "550e8400-e29b-41d4-a716-446655440000"

l7_policy_id

string<uuid>required

path

L7 Policy ID

Example: "550e8400-e29b-41d4-a716-446655440000"

Query Parameters

limit

integeroptional

query

Maximum number of items to return

Default: 20

Example: 20

marker

string<uuid>optional

query

ID of the last item from the previous page (for pagination)

Example: "550e8400-e29b-41d4-a716-446655440000"

Header Parameters

X-Region

stringrequired

header

Region code to query resources from. Required for all resource operations.

Example: "sao1"

Responses

200

List of L7 rules

Content-Type: application/json

l7_rules

arrayoptional

meta

objectoptional
401

Authentication required or token invalid

Content-Type: application/json

error

objectrequired
404

L7 policy not found

Content-Type: application/json

error

objectrequired
500

Internal server error

Content-Type: application/json

error

objectrequired
curl -X GET "https://api.spo1.mycloud.com/v1/load-balancers/550e8400-e29b-41d4-a716-446655440000/l7-policies/550e8400-e29b-41d4-a716-446655440000/rules" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json"

Response

List of L7 rules

{
"l7_rules": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"crn": "crn:spo1:loadbalancer:l7-rule:550e8400-e29b-41d4-a716-446655440000",
"provisioning_status": "ACTIVE",
"operating_status": "ONLINE",
"type": "PATH",
"compare_type": "STARTS_WITH",
"key": "string",
"value": "string",
"invert": false,
"l7_policy_id": "550e8400-e29b-41d4-a716-446655440000",
"tags": [
"web",
"frontend"
],
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
],
"meta": {
"total": 150,
"limit": 20,
"marker": "550e8400-e29b-41d4-a716-446655440000",
"has_more": true
}
}